atsamd21g18 breakout board
===========================

# schematic
![schmeatic](schematic.png)

# pcb
![pcb front](pcb-front.png)
![pcb back](pcb-back.png)

# 3D
![pcb 3D](samd21_breakout_3D.png)

# bootloader

Load arduino bootloader to samd21g18a using black magic probe

```shell
arm-none-eabi-gdb
target extended-remote /dev/ttyBmpGdb
monitor swd_scan
load samd21_sam_ba.elf
```

# bom

| **Reference**   | **Value**         | **Datasheet**                                                                                                                                                                                                                                                                                                                                                                                         | **Qty** | **Description**                                                                   |
|-----------------|-------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------|-----------------------------------------------------------------------------------|
| C1,C2           | 10µf              | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 2       |                                                                                   |
| C3,C4           | 15pF              | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 2       |                                                                                   |
| C5,C6,C7,C8,C10 | 0.1µF             | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 5       |                                                                                   |
| C9              | 10µF              | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       |                                                                                   |
| D1              | red               | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       |                                                                                   |
| D2              | green             | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       |                                                                                   |
| J1              | serial pads       | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       |                                                                                   |
| J2              | SWD pins          | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       | Generic connector, single row, 01x05, script generated                            |
| J3              | ~                 | https://www.usb.org/sites/default/files/documents/usb_type-c.zip                                                                                                                                                                                                                                                                                                                                      | 1       | USB 2.0-only 16P Type-C Receptacle connector                                      |
| J4              | Conn_01x12_Socket | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       | Generic connector, single row, 01x20, script generated                            |
| J5              | Conn_01x23_Socket | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       | Generic connector, single row, 01x23, script generated                            |
| J6              | serial pins       | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       |                                                                                   |
| J7              | SWD pads          | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       | Generic connector, single row, 01x05, script generated                            |
| J8              | USB pads          | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       |                                                                                   |
| L1              | 560nH             | https://www.aliexpress.com/item/32855637642.html?spm=a2g0o.productlist.main.27.6e0e785dtx9w9v&algo_pvid=6ee4ce47-4a25-4c3a-8153-ec8c7825e350&algo_exp_id=6ee4ce47-4a25-4c3a-8153-ec8c7825e350-13&pdp_ext_f=%7B%22sku_id%22%3A%2265320705940%22%7D&pdp_npi=3%40dis%21EUR%211.55%211.55%21%21%21%21%21%402102110316762473567716789d06d5%2165320705940%21sea%21FR%21194317601&curPageLogUid=jty9kxOPCj0Z | 1       |                                                                                   |
| Q1              | 2N7002            | https://www.onsemi.com/pub/Collateral/NDS7002A-D.PDF                                                                                                                                                                                                                                                                                                                                                  | 1       | 0.115A Id, 60V Vds, N-Channel MOSFET, SOT-23                                      |
| R1              | 10K               | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       |                                                                                   |
| R2,R3           | 300r              | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 2       |                                                                                   |
| SW1             | SW_Push           | https://fr.aliexpress.com/item/32698846968.html?spm=a2g0o.order_list.order_list_main.72.40435e5bvY0uBg&gatewayAdapt=glo2fra                                                                                                                                                                                                                                                                           | 1       |                                                                                   |
| U1              | HT7133-SOT89      | https://www.holtek.com/documents/10179/116711/HT75xx-1v250.pdf                                                                                                                                                                                                                                                                                                                                        | 1       |                                                                                   |
| U2              | ATSAMD21G18A-A    | http://ww1.microchip.com/downloads/en/DeviceDoc/SAM_D21_DA1_Family_Data%20Sheet_DS40001882E.pdf                                                                                                                                                                                                                                                                                                       | 1       | SAM D21 Microchip SMART ARM-based Flash MCU, 48Mhz, 256K Flash, 32K SRAM, TQFP-48 |
| Y1              | Crystal           | ~                                                                                                                                                                                                                                                                                                                                                                                                     | 1       | Two pin crystal                                                                   |
